package com.example.cookbook.repository;


import com.example.cookbook.dbConfig.DB;
import com.example.cookbook.model.Naracka;
import org.springframework.stereotype.Repository;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@Repository
public class NarackiRepository {


    public List<Naracka> findAll() throws SQLException {

        Connection connection = DB.getConnection();
        Statement stm = connection.createStatement();
        String query = "select vreme, telefon from naracki;";

        ResultSet result = stm.executeQuery(query);
        List<Naracka> naracki = new ArrayList<>();

        while (result.next()){
            Naracka naracka = new Naracka();
            naracka.setVreme(result.getObject("vreme", LocalDateTime.class));
            naracka.setTelefon(result.getString("telefon"));
            naracki.add(naracka);
        }

        DB.closeConnection();
        result.close();
        stm.close();
        return naracki;
    }
}
